
/********************************************
 If using: [8-bit] PIC18 / PICDEM 2 Plus
********************************************/
#if defined(__PIC18F4520__)
#include <p18F4520.h>
#pragma config OSC = EC
#pragma config WDT = OFF
#pragma config LVP = OFF
#pragma config BOREN = OFF
#define LATLED PORTB
#define TRISLED TRISB
#endif

/********************************************
 If using: [16-bit] PIC24 / Explorer 16
********************************************/
#if defined(__PIC24F__)
#include <p24Fxxxx.h>
_CONFIG1(FWDTEN_OFF & JTAGEN_OFF)
_CONFIG2(POSCMOD_XT & OSCIOFNC_OFF & FCKSM_CSDCMD & FNOSC_FRC & IESO_ON)
#define LATLED LATA
#define TRISLED TRISA
#endif

/********************************************
 If using: [32-bit] PIC32 / Explorer 16
********************************************/
#if defined(__PIC32MX__)
#include <plib.h>
#define LATLED PORTA
#define TRISLED TRISA
#endif

#include "libLCD.h"

#define ToggleBit(REG, BIT) REG ^= (1 << BIT)
